#!/usr/bin/perl -w
# -*- perl -*-
use P4CGI ;
use strict ;
#
#################################################################
#  CONFIGURATION INFORMATION 
#  All config info should be in P4CGI.pm
#
#################################################################
#
#  List all labels
#
#################################################################


# Get list of all label
my @labels ;
&P4CGI::p4call(\@labels, "labels" );
foreach (@labels) {
    /^Label (\S+)\s+(\S+)\s+'(.*)'/ ;
    my $lab = &P4CGI::ahref(-url => &P4CGI::LV_URL(),
			    "LABEL=$1",
			    $1) ;
    $_ = &P4CGI::table_row(-valign => "top",
			   {-type=>"th",
			    -align=>"right",
			    -text=>$lab},
			   $2,
			   $3) ;
}

# Print header
print "",
    &P4CGI::start_page("List of labels",
		       &P4CGI::ul_list("<b>owner</b> -- view user info",
				       "<b>view</b> -- View changes for view")) ;

print "",
    scalar @labels," labels",
    &P4CGI::start_table(""),
    &P4CGI::table_row(-type=>"th",
		      "Label","Date","Desc.") ;

foreach (@labels) {    
    print ;
}

print 
    &P4CGI::end_table(),
    &P4CGI::end_page() ;

#
# That's it folks
#
